org.keycloak.models.sessions.infinispan.entities

## Class UserSessionEntity

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.entities.SessionEntity
  - - org.keycloak.models.sessions.infinispan.entities.UserSessionEntity

- All Implemented Interfaces:
    Serializable

      public class UserSessionEntity
      extends SessionEntity

  Author:
    Stian Thorgersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSessionEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthMethod()`
    `String` | `getBrokerSessionId()`
    `String` | `getBrokerUserId()`
    `Set<String>` | `getClientSessions()`
    `String` | `getIpAddress()`
    `int` | `getLastSessionRefresh()`
    `String` | `getLoginUsername()`
    `Map<String,String>` | `getNotes()`
    `int` | `getStarted()`
    `UserSessionModel.State` | `getState()`
    `String` | `getUser()`
    `boolean` | `isRememberMe()`
    `void` | `setAuthMethod(String authMethod)`
    `void` | `setBrokerSessionId(String brokerSessionId)`
    `void` | `setBrokerUserId(String brokerUserId)`
    `void` | `setClientSessions(Set<String> clientSessions)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setLastSessionRefresh(int lastSessionRefresh)`
    `void` | `setLoginUsername(String loginUsername)`
    `void` | `setNotes(Map<String,String> notes)`
    `void` | `setRememberMe(boolean rememberMe)`
    `void` | `setStarted(int started)`
    `void` | `setState(UserSessionModel.State state)`
    `void` | `setUser(String user)`

    - ### Methods inherited from class org.keycloak.models.sessions.infinispan.entities.SessionEntity

      `getId, getRealm, setId, setRealm`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserSessionEntity

          public UserSessionEntity()

  - ### Method Detail

    - #### getUser

          public String getUser()

    - #### setUser

          public void setUser(String user)

    - #### getLoginUsername

          public String getLoginUsername()

    - #### setLoginUsername

          public void setLoginUsername(String loginUsername)

    - #### getIpAddress

          public String getIpAddress()

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### getAuthMethod

          public String getAuthMethod()

    - #### setAuthMethod

          public void setAuthMethod(String authMethod)

    - #### isRememberMe

          public boolean isRememberMe()

    - #### setRememberMe

          public void setRememberMe(boolean rememberMe)

    - #### getStarted

          public int getStarted()

    - #### setStarted

          public void setStarted(int started)

    - #### getLastSessionRefresh

          public int getLastSessionRefresh()

    - #### setLastSessionRefresh

          public void setLastSessionRefresh(int lastSessionRefresh)

    - #### getClientSessions

          public Set<String> getClientSessions()

    - #### setClientSessions

          public void setClientSessions(Set<String> clientSessions)

    - #### getNotes

          public Map<String,String> getNotes()

    - #### setNotes

          public void setNotes(Map<String,String> notes)

    - #### getState

          public UserSessionModel.State getState()

    - #### setState

          public void setState(UserSessionModel.State state)

    - #### getBrokerSessionId

          public String getBrokerSessionId()

    - #### setBrokerSessionId

          public void setBrokerSessionId(String brokerSessionId)

    - #### getBrokerUserId

          public String getBrokerUserId()

    - #### setBrokerUserId

          public void setBrokerUserId(String brokerUserId)

Copyright © 2015. All rights reserved.